<?
	$special=true;
	require_once("admin__check.php");

	if($job<>""){

		$error="";

		if($job=="optimize"){
			$sql="show tables";
			$result=mysql_query($sql);
			$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";
			while($row=mysql_fetch_array($result)){
				if(substr($row[0],0,4)<>"each"){
					continue;
				}
				$sql="OPTIMIZE TABLE ".$row[0];
				mysql_query($sql);
				$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";
			}
		}

		if($job=="remove"){
			$sql="delete from ".TBL_VISITOR." where dt<".strtotime(date("Y-m-d H:i:s")-3*24*60*60);
			mysql_query($sql);
			$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";

			$sql="OPTIMIZE TABLE ".TBL_VISITOR;
			mysql_query($sql);
			$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";
		}
		
		if(strstr($job,"initialize")<>""){
			$sql="update ".TBL_USER." set point1=0,point2=0,point3=0,rate=0";
			mysql_query($sql);
			$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";
			
			$sql="TRUNCATE TABLE ".TBL_USER_POINT;
			mysql_query($sql);
			$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";

			if($job<>"initialize_all"){
				$sql="update ".TBL_PICK." set today=0,total=0";
				mysql_query($sql);
				$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";

				$sql="update ".TBL_POST." set today=0,total=0";
				mysql_query($sql);
				$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";
			}
			else{
				$sql="TRUNCATE TABLE ".TBL_PAGE;
				mysql_query($sql);
				$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";

				$sql="TRUNCATE TABLE ".TBL_PAGE_TAG;
				mysql_query($sql);
				$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";

				$sql="TRUNCATE TABLE ".TBL_PICK;
				mysql_query($sql);
				$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";

				$sql="TRUNCATE TABLE ".TBL_POST;
				mysql_query($sql);
				$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";			
			}

			$sql="TRUNCATE TABLE ".TBL_STATISTIC;
			mysql_query($sql);
			$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";

			$sql="TRUNCATE TABLE ".TBL_VISITOR;
			mysql_query($sql);
			$error.=mysql_error()==""?"":mysql_error()."SQL:".$sql." ";			
		}

		if($error==""){
			$str="数据库操作成功！";
		}
		else{
			$str="数据库操作失败！\\n\\n".$error;
		}
		$str="<script language='javascript'>alert(\"".str_replace("\"","'",$str)."\");</script>";
		exit($str);
	}
?>